<?php
abstract class Core_Validate_Array_Abstract extends Core_Validate_Abstract implements Core_Validate_Array_Interface
{
    public function setValue($value)
    {
        if (!is_array($value)) {
            throw new Exception(sprintf('Value passed to validator %s must be an array'), __CLASS__);
        }
        return $this;
    }
}